From 8abd492dc51eb4c884195a3f8430bc73d50986c5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 21:07:20 +0000
Subject: [PATCH 1535/2232] Merge pull request #508 from dtolnay/nobridge


Include filepath in no-bridge-found error
---

diff --git a/gen/src/error.rs b/gen/src/error.rs
index 2335d43..2c8287f 100644
--- a/gen/src/error.rs
+++ b/gen/src/error.rs
@@ -68,6 +68,13 @@ pub(super) fn format_err(path: &Path, source: &str, error: Error) -> ! {
                 display_syn_error(stderr, path, source, error);
             }
         }
+        Error::NoBridgeMod => {
+            let _ = writeln!(
+                io::stderr(),
+                "cxxbridge: no #[cxx::bridge] module found in {}",
+                path.display(),
+            );
+        }
         _ => {
             let _ = writeln!(io::stderr(), "cxxbridge: {}", report(error));
         }

